# H450ServiceAPDU Class Reference

`#include <h450pdu.h>`

## Public Member Functions

X880_Invoke & | BuildInvoke (int invokeId, int operation)
X880_ReturnResult & | BuildReturnResult (int invokeId)
X880_ReturnError & | BuildReturnError (int invokeId, int error)
X880_Reject & | BuildReject (int invokeId)
void | BuildCallTransferInitiate (int invokeId, const PString &callIdentity, const PString &alias, const H323TransportAddress &address)
void | BuildCallTransferIdentify (int invokeId)
void | BuildCallTransferAbandon (int invokeId)
void | BuildCallTransferSetup (int invokeId, const PString &callIdentity)
void | BuildCallWaiting (int invokeId, int numCallsWaiting)
void | BuildMessageWaiting (int invokeId, H4507_H323_MWI_Operations &mwiOp, PASN_Sequence &argument)
void | BuildInterrogateResult (int invokeId, H4507_MWIInterrogateRes &interrogateResult)
void | BuildCallIntrusionForcedRelease (int invokeId, int CICL)
X880_ReturnResult & | BuildCallIntrusionForcedReleaseResult (int invokeId)
void | BuildCallIntrusionForcedReleaseError ()
void | BuildCallIntrusionGetCIPL (int invokeId)
void | BuildCallIntrusionImpending (int invokeId)
void | BuildCallIntrusionForceRelesed (int invokeId)
void | AttachSupplementaryServiceAPDU (H323SignalPDU &pdu)
PBoolean | WriteFacilityPDU (H323Connection &connection)

## Static Public Member Functions

static void | ParseEndpointAddress (H4501_EndpointAddress &address, PString &party)

## Detailed Description

PDU definition for H.450 services.

## Member Function Documentation

void H450ServiceAPDU::AttachSupplementaryServiceAPDU | ( | H323SignalPDU & | pdu | ) |

void H450ServiceAPDU::BuildCallIntrusionForcedRelease | ( | int | invokeId,
|  | int | CICL |
| ) |  |  |

void H450ServiceAPDU::BuildCallIntrusionForcedReleaseError | ( |  | ) |

X880_ReturnResult& H450ServiceAPDU::BuildCallIntrusionForcedReleaseResult | ( | int | invokeId | ) |

void H450ServiceAPDU::BuildCallIntrusionForceRelesed | ( | int | invokeId | ) |

void H450ServiceAPDU::BuildCallIntrusionGetCIPL | ( | int | invokeId | ) |

void H450ServiceAPDU::BuildCallIntrusionImpending | ( | int | invokeId | ) |

void H450ServiceAPDU::BuildCallTransferAbandon | ( | int | invokeId | ) |

void H450ServiceAPDU::BuildCallTransferIdentify | ( | int | invokeId | ) |

void H450ServiceAPDU::BuildCallTransferInitiate | ( | int | invokeId,
|  | const PString & | callIdentity,
|  | const PString & | alias,
|  | const H323TransportAddress & | address |
| ) |  |  |

void H450ServiceAPDU::BuildCallTransferSetup | ( | int | invokeId,
|  | const PString & | callIdentity |
| ) |  |  |

void H450ServiceAPDU::BuildCallWaiting | ( | int | invokeId,
|  | int | numCallsWaiting |
| ) |  |  |

void H450ServiceAPDU::BuildInterrogateResult | ( | int | invokeId,
|  | H4507_MWIInterrogateRes & | interrogateResult |
| ) |  |  |

X880_Invoke& H450ServiceAPDU::BuildInvoke | ( | int | invokeId,
|  | int | operation |
| ) |  |  |

void H450ServiceAPDU::BuildMessageWaiting | ( | int | invokeId,
|  | H4507_H323_MWI_Operations & | mwiOp,
|  | PASN_Sequence & | argument |
| ) |  |  |

X880_Reject& H450ServiceAPDU::BuildReject | ( | int | invokeId | ) |

X880_ReturnError& H450ServiceAPDU::BuildReturnError | ( | int | invokeId,
|  | int | error |
| ) |  |  |

X880_ReturnResult& H450ServiceAPDU::BuildReturnResult | ( | int | invokeId | ) |

static void H450ServiceAPDU::ParseEndpointAddress | ( | H4501_EndpointAddress & | address,
|  | PString & | party |
| ) |  |  | `[static]`

PBoolean H450ServiceAPDU::WriteFacilityPDU | ( | H323Connection & | connection | ) |

The documentation for this class was generated from the following file:

- h450pdu.h